# Reference Documentation

This section contains detailed reference documentation for MCP Standards Server.

## CLI Commands

- [CLI Commands Reference](./cli-commands.md) - Complete command reference
- [Configuration Reference](./config-reference.md) - Configuration options
- [Standards Format](./standards-format.md) - Standards file format specification

## API Reference

- [MCP Tools API](../api/mcp-tools.md) - MCP protocol tools
- [REST API](./rest-api.md) - HTTP REST API reference
- [Configuration Schema](./config-schema.md) - Configuration file schema

## Troubleshooting

- [Common Issues](./troubleshooting.md) - Solutions to common problems
- [Error Codes](./error-codes.md) - Error code reference
- [Performance Tuning](./performance.md) - Performance optimization guide

## Advanced Topics

- [Architecture Overview](../architecture/overview.md) - System architecture
- [Token Optimization](../architecture/token-optimization.md) - Token optimization strategies
- [Caching Strategy](./caching.md) - Caching implementation details